"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useTitle = void 0;

var _vue = require("vue");

var useTitle = function useTitle(title) {
  var setTitle = function setTitle() {
    return document.title = title;
  };

  var resetTitle = function resetTitle() {
    return document.title = '';
  };

  (0, _vue.onMounted)(setTitle);
  (0, _vue.onBeforeUnmount)(resetTitle);
  (0, _vue.onDeactivated)(resetTitle);
};

exports.useTitle = useTitle;