import { unref } from 'vue';
import { useEventListener } from '../useEventListener';
var defaultOptions = {
  event: 'click'
};

var useClickAway = function useClickAway(listener, target) {
  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultOptions;

  var onClick = function onClick(evt) {
    var element = unref(target);

    if (element && !element.contains(evt.target)) {
      listener(evt);
    }
  };

  useEventListener(options.event, onClick, {
    target: document
  });
};

export { useClickAway };