import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
var _excluded = ["link", "unlink", "internalChildren"];
import { getCurrentInstance, inject, onUnmounted, computed } from 'vue';

var useProvider = function useProvider(key) {
  var context = inject(key, null);

  if (context) {
    var instance = getCurrentInstance();

    var _link = context.link,
        _unlink = context.unlink,
        internalChildren = context.internalChildren,
        rest = _objectWithoutProperties(context, _excluded);

    _link(instance);

    onUnmounted(function () {
      return _unlink(instance);
    });
    var idx = computed(function () {
      return internalChildren.indexOf(instance);
    });
    return {
      context: rest,
      idx: idx.value
    };
  }

  return {
    context: null,
    idx: -1
  };
};

export { useProvider };