import { onMounted, unref, onDeactivated, onBeforeUnmount } from 'vue';

var useEventListener = function useEventListener(event, listener) {
  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
  var _options$target = options.target,
      target = _options$target === void 0 ? window : _options$target;

  var add = function add() {
    var element = unref(target);

    if (element) {
      element.addEventListener(event, listener);
    }
  };

  var remove = function remove() {
    var element = unref(target);

    if (element) {
      element.removeEventListener(event, listener);
    }
  };

  onBeforeUnmount(remove);
  onDeactivated(remove);
  onMounted(add);
};

export { useEventListener };