import { onMounted, onBeforeUnmount, onDeactivated } from 'vue';

var useTitle = function useTitle(title) {
  var setTitle = function setTitle() {
    return document.title = title;
  };

  var resetTitle = function resetTitle() {
    return document.title = '';
  };

  onMounted(setTitle);
  onBeforeUnmount(resetTitle);
  onDeactivated(resetTitle);
};

export { useTitle };